//
//	Class DateTimeDisplayPane
//
//	This class displays it's value ( GetValue(), SetValue() ) as a string
//	representing a Macintosh Date/Time.
//

#include <LCaption.h>

class DateTimeDisplayPane : public LCaption
{
public:
	enum { class_ID = 'DATE' };
	
	static DateTimeDisplayPane*		CreateDateTimeDisplayPaneStream(LStream *inStream);
	
						DateTimeDisplayPane();
						DateTimeDisplayPane(const LCaption	&inCaption);		
						DateTimeDisplayPane( const SPaneInfo	&inPaneInfo, ResIDT inTextTraitsID);
						DateTimeDisplayPane(LStream *inStream);
	
	virtual				~DateTimeDisplayPane();

	virtual void		DrawSelf ( );
	
	virtual void		GetDescriptor ( Str255	outDescriptor ) const;
	virtual Int32		GetValue() const;

	virtual void		SetDescriptor (ConstStringPtr inDescriptor);
	virtual void		SetValue( Int32			inValue);
	
protected:
	unsigned long		mDateTimeSecs;
};