#include <LSingleDoc.h>

class VideoFolderDocument : public LDocument
{
public:
						VideoFolderDocument();
						VideoFolderDocument(LCommander *inSuper, const FSSpec* inSpec );
	virtual				~VideoFolderDocument();

	virtual Boolean		AllowSubRemoval(LCommander *inSub);
	
	virtual StringPtr	GetDescriptor(Str255 outDescriptor) const;
	
		//  AppleEvent Object Model Support 

	virtual void		DoAESave(FSSpec &inFileSpec, OSType inFileType);
	
	virtual class VideoFolderWindow*	GetVideoFolderWindow ( ) const { return mVideoFolderWindow; };
	
protected:
	void 				DoSave ( );

	virtual void		NameNewDoc ( );
	void				OpenFile( const FSSpec &inFileSpec );

	class VideoFolderWindow*	mVideoFolderWindow;
	class LFileStream*			mFile;
};
